sub pv1000writetext(txpos as uinteger,typos as uinteger, tstr as uinteger,tlen as uinteger):
  dim txlp as uinteger at $BC00:dim tylp as uinteger at $BC02
    for txlp=0 to tlen-1
      poke $B800+typos*32+txpos+txlp,peek(tstr+txlp)
      next
  end sub


